> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Deleting workspaces

> Deletes a workspace and all its associated forms. The workspace and forms are moved to trash and can be restored later. Forms in DRAFT or PUBLISHED state will be marked as DELETED.



## OpenAPI

````yaml DELETE /workspaces/{workspaceId}
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceId}:
    delete:
      summary: Delete a workspace
      description: >-
        Deletes a workspace and all its associated forms. The workspace and
        forms are moved to trash and can be restored later. Forms in DRAFT or
        PUBLISHED state will be marked as DELETED.
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: The ID of the workspace to delete
          schema:
            type: string
      responses:
        '204':
          description: Workspace successfully deleted
        '401':
          description: Unauthorized
        '403':
          description: >-
            Forbidden - User doesn't have required permissions or Pro
            subscription
        '404':
          description: Workspace not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````